org.apache.solr.logging

## Class LogWatcherConfig

- java.lang.Object
- - org.apache.solr.logging.LogWatcherConfig

-     public class LogWatcherConfig
      extends Object

  Defines the configuration of a `LogWatcher`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogWatcherConfig(boolean enabled, String loggingClass, String watcherThreshold, int watcherSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenerConfig` | `asListenerConfig()`
    `String` | `getLoggingClass()` Get the implementation of the LogWatcher to use.
    `int` | `getWatcherSize()`
    `String` | `getWatcherThreshold()`
    `boolean` | `isEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogWatcherConfig

          public LogWatcherConfig(boolean enabled,
                                  String loggingClass,
                                  String watcherThreshold,
                                  int watcherSize)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        true if the LogWatcher is enabled

    - #### getLoggingClass

          public String getLoggingClass()

      Get the implementation of the LogWatcher to use. May be "JUL" or "log4j" for the default java.util.logging or log4j implementations, or the fully-qualified name of a class extending `LogWatcher`.
      Returns:
        the LogWatcher class to use

    - #### getWatcherSize

          public int getWatcherSize()

      Returns:
        the size of the LogWatcher queue

    - #### getWatcherThreshold

          public String getWatcherThreshold()

      Returns:
        the threshold above which logging events will be recorded

    - #### asListenerConfig

          public ListenerConfig asListenerConfig()

      Returns:
        a `ListenerConfig` object using this config's settings.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.